Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.appflow.webflow.servlets.jsp.taglib
Class WebflowFormTag

    java.lang.Object
      |
      +--javax.servlet.jsp.tagext.TagSupport
            |
            +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
                  |
                  +--com.bea.p13n.appflow.webflow.servlets.jsp.taglib.WebflowFormTag

Direct Known Subclasses:
  WebflowValidatedFormTag

public class WebflowFormTag
extends CreateWebflowURLTag

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `hide`
`protected boolean` | `hideBool`
`protected java.lang.String` | `htmlAttributes`
`protected java.lang.String` | `method`
`protected java.lang.String` | `name`

Fields inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
`DEFAULT_HTTPSIND_VALUE_ELEMENT, domainName, doRedirect, doRedirectBool, encode, encodeBool, encodeValueSet, escape, escapeStr, event, extraParams, httpsInd, httpsIndInt, namespace, origin, pathPrefix, pathSuffix, resourceIdentifier`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Constructor Summary
`WebflowFormTag()`

Method Summary
`int` | `doEndTag()`
`int` | `doStartTag()`
`protected java.lang.String` | `generateHTML(java.lang.String action)`
`java.lang.String` | `getHide()`
`java.lang.String` | `getHtmlAttributes()`
`java.lang.String` | `getMethod()`
`java.lang.String` | `getName()`
`void` | `release()`
`void` | `setHide(java.lang.String hide)`
`void` | `setHtmlAttributes(java.lang.String htmlAttributes)`
`void` | `setMethod(java.lang.String method)`
`void` | `setName(java.lang.String name)`

Methods inherited from class com.bea.p13n.appflow.webflow.servlets.jsp.taglib.CreateWebflowURLTag
`getCurrentNamespace, getDomainName, getDoRedirect, getEncode, getEscape, getEvent, getExtraParams, getHttpServletRequest, getHttpsInd, getJspName, getNamespace, getOrigin, getPathPrefix, getPathSuffix, setDomainName, setDoRedirect, setEncode, setEscape, setEvent, setExtraParams, setHttpsInd, setNamespace, setOrigin, setPathPrefix, setPathSuffix, setupHTTPS`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hide

    protected java.lang.String hide

### hideBool

    protected boolean hideBool

### method

    protected java.lang.String method

### name

    protected java.lang.String name

### htmlAttributes

    protected java.lang.String htmlAttributes

Constructor Detail

### WebflowFormTag

    public WebflowFormTag()

Method Detail

### release

    public void release()

  Overrides:
    release in class CreateWebflowURLTag

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Overrides:
    doStartTag in class CreateWebflowURLTag

### doEndTag

    public int doEndTag()
                 throws javax.servlet.jsp.JspException

  Overrides:
    doEndTag in class javax.servlet.jsp.tagext.TagSupport

### generateHTML

    protected java.lang.String generateHTML(java.lang.String action)

### getHide

    public java.lang.String getHide()

### setHide

    public void setHide(java.lang.String hide)

### getMethod

    public java.lang.String getMethod()

### setMethod

    public void setMethod(java.lang.String method)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getHtmlAttributes

    public java.lang.String getHtmlAttributes()

### setHtmlAttributes

    public void setHtmlAttributes(java.lang.String htmlAttributes)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved